#include <iostream>
#include <cstring>
using namespace std;
int main()
{
    int n,br=0,brq=0,brnq=0;
    bool b=false;
    cin>>n;
    char arr[8000];
    for (int i=0; i<n; i++)
    {
        cin.getline(arr,8000);
        for (int i=0; i<strlen(arr); i++)
        {
            br=0;
            for (int k=0; k<strlen(arr); k++)
            {
                if(arr[i]==arr[k] && i!=k) br++;
            }
            if(br%2==0)brq++;
            else brnq++;
        }
        if (strlen(arr)%2==0 && brnq>0)cout<<"0";
        else
            {
                if (strlen(arr)%2==0 && brnq==0)cout<<"1";
                else
                {
                    if (strlen(arr)%2==1 && brnq==0)cout<<"0";
                    else cout<<"1";
                }
            }
    }
    return 0;
}
